For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SupportGet Started
  • Modernfi Developer Hub
    • Overview for Developers
    • Getting Started
  • Topics
    • Using the Sandbox
    • Authentication
    • Account Structure
    • Idempotency
    • Transaction Records and Sweeps
    • Balance Fields
    • Interest
    • Reports
    • Versioning
    • Changelog
  • API Reference
      • POSTRequest an access token
LogoLogo
Contact SupportGet Started
API ReferenceAuth

Request an access token

POST
/oauth/token
POST
/oauth/token
$curl -X POST https://auth.modernfi.com/oauth/token \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "client_id": "string",
> "client_secret": "string",
> "audience": "https://api.uat.modernfi.com",
> "grant_type": "client_credentials"
>}'
200Successful
1{
2 "access_token": "string",
3 "token_type": "string",
4 "expires_in": 1
5}
Obtain an OAuth2 access token using client credentials
Was this page helpful?
Previous
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
client_idstringRequired
The client ID of the application
client_secretstringRequired
The client secret of the application
audience"https://api.uat.modernfi.com"Required
The API identifier
grant_type"client_credentials"Required

Response

Successful response
access_tokenstring
token_typestring
expires_ininteger